Updates the properties of an existing rate schedule
Use this endpoint to modify rate schedule-level properties such as code, name, or commodity.
To modify version-specific pricing details, use PUT /rate/{rateId}/version/{versionId} instead.
Side effect: triggers recalculation of meter user-defined auto-groups for all meters linked to this rate.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| rateId | Unique numeric identifier of the rate schedule to update | integer (int32) | Required |
Request Body
RateEdit
| Property | Description | Type |
|---|---|---|
| name | Must be between 0 and 255 characters Required (defined) | string |
| note | Must be between 0 and 255 characters Required (defined) | string |
Example Request Body
{ "name": "string", "note": "string"
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
RateResponse
| Property | Description | Type | |||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| commodity | CommodityChild | ||||||||||||||||||||||||||||
|
CommodityChild properties
|
|||||||||||||||||||||||||||||
| name | string | ||||||||||||||||||||||||||||
| note | string | ||||||||||||||||||||||||||||
| rateId | integer (int32) | ||||||||||||||||||||||||||||
| vendor | VendorChild | ||||||||||||||||||||||||||||
|
VendorChild properties
|
|||||||||||||||||||||||||||||
| versions | VersionResponse[] | ||||||||||||||||||||||||||||
|
VersionResponse properties
|
|||||||||||||||||||||||||||||
Example Response
{ "commodity": { "commodityCode": "string", "commodityIcon": { "code": "string", "color": "string"
}, "commodityId": 1, "commodityInfo": "string"
}, "name": "string", "note": "string", "rateId": 1, "vendor": { "vendorCode": "string", "vendorId": 1, "vendorInfo": "string"
}, "versions": [
{ "beginDate": "2026-06-29", "endDate": "2026-06-29", "versionId": 1
}
]
}
404
Not Found
The requested resource was not found. Verify the ID or path is correct.